Bug 744501

Summary: [abrt] transmission-gtk-2.33-2.fc16: __GI_raise: Process /usr/bin/transmission-gtk was killed by signal 6 (SIGABRT)
Product: [Fedora] Fedora Reporter: srikkanth87
Component: transmissionAssignee: Rahul Sundaram <metherid>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: a_villacis, awilliam, bill, bobk1, bochecha, charles, ibelkov, jspaleta, kumarpraveen.nitdgp, kxra, metherid, raghusiddarth, sanjay.ankur
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:b4d2f966845c153c95e03dd885b809d1c42fbead
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-19 19:08:43 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: maps
none
File: backtrace
none
File: backtrace none

Description srikkanth87 2011-10-09 01:34:13 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        transmission-gtk
comment:        Crash happened after the screen has been locked. 
crash_function: __GI_raise
executable:     /usr/bin/transmission-gtk
kernel:         3.1.0-0.rc8.git0.1.fc16.x86_64
reason:         Process /usr/bin/transmission-gtk was killed by signal 6 (SIGABRT)
time:           Sun Oct  9 10:08:27 2011
uid:            1000
username:       srikkanth87
var_log_messages: Oct  9 10:08:28 fc16 abrt[2480]: saved core dump of pid 1946 (/usr/bin/transmission-gtk) to /var/spool/abrt/ccpp-2011-10-09-10:08:27-1946 (78716928 bytes)
xsession_errors: transmission-gtk: res_query.c:258: __libc_res_nquery: Assertion `hp != hp2' failed.

backtrace:      Text file, 25182 bytes
maps:           Text file, 42253 bytes

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc16.x86_64 (Fedora Project) 1317262746
:/lib64/libgio-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318048591
:/usr/lib64/libgdk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1317262792
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1317262753
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1317262772
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1317262755
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libssl.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1317262770
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-1.fc16.x86_64 (Fedora Project) 1317920181
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.0-1.fc16.noarch (Fedora Project) 1317920150
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc16.x86_64 (Fedora Project) 1317262819
:/lib64/ld-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libgtk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1317262792
:/lib64/libgthread-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318048591
:/usr/lib/locale/locale-archive glibc-common-2.14.90-10.x86_64 (Fedora Project) 1317920167
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1317262756
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-ico.so gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1317262758
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1317262758
:/lib64/libresolv-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.x86_64 (Fedora Project) 1317262804
:/usr/bin/transmission-gtk transmission-gtk-2.33-2.fc16.x86_64 (Fedora Project) 1317920572
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc16.x86_64 (Fedora Project) 1317262819
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317920258
:/lib64/libgcc_s-4.6.1-20111002.so.1 libgcc-4.6.1-10.fc16.x86_64 (Fedora Project) 1317920147
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1317262769
:/lib64/libnss_dns-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.4-1.fc16.x86_64 (Fedora Project) 1317262815
:/usr/lib64/libldap-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1318048595
:/lib64/librt-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317920181
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc16.noarch (Fedora Project) 1317262767
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1317262755
:/lib64/libnss_myhostname.so.2 nss-myhostname-0.3-1.fc16.x86_64 (Fedora Project) 1317262764
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc16.noarch (Fedora Project) 1317262767
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.19-2.fc16.x86_64 (Fedora Project) 1317920552
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libselinux.so.1 libselinux-2.1.5-5.1.fc16.x86_64 (Fedora Project) 1317920175
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317920181
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1317262759
:/lib64/libgobject-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318048591
:/lib64/libgmodule-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318048591
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1317262755
:/lib64/libpthread-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1317262785
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1317262785
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317920191
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libdl-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317920191
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1317262755
:/lib64/libidn.so.11.6.5 libidn-1.22-3.fc16.x86_64 (Fedora Project) 1317262757
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libevent-2.0.so.5.0.1 libevent-2.0.10-2.fc15.x86_64 (Fedora Project) 1317262775
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-6.fc16.x86_64 (Fedora Project) 1317262755
:/lib64/libutil-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/liblber-2.4.so.2.7.1 openldap-2.4.26-5.fc16.x86_64 (Fedora Project) 1318048595
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1317262756
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.7-5.fc16.x86_64 (Fedora Project) 1317920192
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1317920177
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317920191
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1317262754
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1317262785
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1317262753
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1317262756
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1317262754
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/lib64/libnss_mdns4_minimal.so.2 nss-mdns-0.10-9.fc15.x86_64 (Fedora Project) 1317262873
:/lib64/libglib-2.0.so.0.3000.0 glib2-2.30.0-2.fc16.x86_64 (Fedora Project) 1318048591
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-bmp.so gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1317262758
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1317262755
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1317262793
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317920258
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.x86_64 (Fedora Project) 1317262780
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libc-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317920171
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1317262755
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317920181
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1317262753
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317920191
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1317262756
:/lib64/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1317262770
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1317262770

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=fc16
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=3d5c0f14f07140fa2300a5f900000009-1318153135.189401-713287697
:GNOME_KEYRING_CONTROL=/tmp/keyring-I8FQ6i
:IMSETTINGS_MODULE=none
:USER=srikkanth87
:USERNAME=srikkanth87
:MAIL=/var/spool/mail/srikkanth87
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/srikkanth87/.local/bin:/home/srikkanth87/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/srikkanth87
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1243
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/srikkanth87
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=srikkanth87
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oV86X61kCw,guid=5174b22fce21d7267f1894330000002e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/srikkanth87
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-srikkanth87-KG0GWi/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1248,unix/unix:/tmp/.ICE-unix/1248
:SSH_AUTH_SOCK=/tmp/keyring-I8FQ6i/ssh
:GPG_AGENT_INFO=/tmp/keyring-I8FQ6i/gpg:0:1
:LC_TIME=en_IN.utf8
:LC_NUMERIC=en_IN.utf8
:LC_MONETARY=en_IN.utf8
:LC_MEASUREMENT=en_IN.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/transmission-gtk.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1946

smolt_data:
:
:
:General
:=================================
:UUID: e3f406fc-5936-4a4a-b341-8cbf8de46011
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6000.74
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E8400  @ 3.00GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2997
:System Memory: 3944
:System Swap: 0
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.1.0-0.rc8.git0.1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10168:32902:21582) pci, None, PCI/ISA, DeskTop Board D945GTP
:(32902:10690:32902:10690) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10176:32902:10176) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:32902:10192) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:32902:10194) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:32902:54792) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:32902:10207) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:32902:54792) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(4332:33128:32902:54792) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(5361:12064:5361:8204) pci, None, SIMPLE, Soft Data Fax Modem with SmartCP
:(32902:10185:32902:10185) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:10184) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10688:0:0) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10186:32902:10186) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:10187) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:10188) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10689:32902:0) pci, pcieport, PCI/PCI, 82G33/G31/P35/P31 Express PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5138591 4142239 4090048 1310720 1198807 1198807
:/dev/sda3 /home ext4 4096 4096 81390870 11959222 7824794 20676608 20613276 20613276
:/dev/sdb1 WITHHELD vfat 4096 4096 978041 643844 643844 0 0 0
:
Comment 1 srikkanth87 2011-10-09 01:34:18 EDT
Created attachment 527067 [details]
File: maps
Comment 2 srikkanth87 2011-10-09 01:34:21 EDT
Created attachment 527068 [details]
File: backtrace
Comment 3 srikkanth87 2011-10-09 01:35:15 EDT
Package: transmission-gtk-2.33-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Crash happened after the screen has been locked.
Comment 4 Mathieu Bridon 2011-10-24 12:26:40 EDT
Package: transmission-gtk-2.42-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Just running transmission-gtk with any torrent, the crash is pretty random though.
Comment 5 Adam Williamson 2011-10-24 22:02:23 EDT
This reads rather like our old friend https://bugzilla.redhat.com/show_bug.cgi?id=730856 , back from the grave. (See the recent comments on that bug). Either a similar problem has shown up in recent upstream glibc changes, or the package has dropped out the fix for 730856.
Comment 6 Mathieu Bridon 2011-10-28 15:59:33 EDT
I used to be able to reproduce the issue quite frequently (although never 100% times) only two days ago, thanks to my crappy ISP's DNS.

Today I can't reproduce it anymore (I tried to start downloading a new torrent about 10 times, which was more than enough to trigger the issue at least 4 times), and the one significant thing that has changed is that I installed this update:
https://admin.fedoraproject.org/updates/mesa-7.11-7.fc16,xorg-x11-drv-qxl-0.0.21-7.fc16,agg-2.5-12.fc16,aisleriot-3.2.1-2.fc16,anaconda-16.24-2.fc16,and-1.2.2-14.fc16,apiextractor-0.10.8-2.fc16,apper-0.7.1-0.4.20111021.fc16,arc-5.21o-9.fc16,at-3.1.13-3.fc16,atk-2.2.0-2.fc16,at-spi-1.32.0-6.fc16,at-spi2-atk-2.2.1-2.fc16,at-spi2-core-2.2.1-2.fc16,balance-3.52-3.fc16,clutter-1.8.2-2.fc16,cogl-1.8.2-2.fc16,contacts-0.12-12.fc16,control-center-3.2.1-2.fc16,cronie-1.4.8-10.fc16,cheese-3.2.1-2.fc16,dar-2.3.8-7.fc16,dhcp-4.2.3-3.fc16,dia-0.97-6.fc16,dialog-1.1-14.20110707.fc16,eb-4.4.1-3.fc16,eet-1.4.1-3.fc16,empathy-3.2.1.1-2.fc16,eog-3.2.1-2.fc16,epiphany-3.2.1-2.fc16,evince-3.2.1-2.fc16,file-5.07-6.fc16,file-roller-3.2.1-2.fc16,folks-0.6.4.1-2.fc16,freeipa-2.1.3-5.fc16,freetype-2.4.6-3.fc16,garcon-0.1.9-2.fc16,gc-7.2-0.5.alpha6.fc16,gcc-python-plugin-0.6-4.1.fc16,gconfmm26-2.28.3-2.fc16,gd-2.0.35-13.fc16,gdl-0.9.1-5.fc16,gdlmm-3.2.1-2.fc16,gdm-3.2.1.1-5.fc16,generatorrunner-0.6.14-2.fc16,gigolo-0.4.1-4.fc16,git-1.7.7-2.fc16,glib-1.2.10-35.fc16,glib-networking-2.30.1-2.fc16,gnome-applets-3.2.1-2.fc16,gnome-bluetooth-3.2.1-2.fc16,gnome-contacts-3.2.2-2.fc16,gnome-desktop-2.32.0-9.fc16,gnome-desktop3-3.2.1-2.fc16,gnome-games-3.2.1-2.fc16,gnome-keyring-3.2.1-2.fc16,gnome-online-accounts-3.2.1-2.fc16,gnome-panel-3.2.1-2.fc16,gnome-python2-2.28.1-5.fc16,gnome-python2-extras-2.25.3-37.fc16,gnome-session-3.2.1-2.fc16,gnome-settings-daemon-3.2.1-4.fc16,gnome-shell-3.2.1-2.fc16,gnome-system-monitor-3.2.1-2.fc16,gnome-terminal-3.2.1-2.fc16,gnome-themes-2.32.0-7.fc16,gnome-themes-standard-3.2.1-2.fc16,gnome-utils-3.2.1-2.fc16,grub-0.97-84.fc16,grub2-1.99-12.fc16,gt-0.4-13.fc16,gtk2-2.24.7-2.fc16,gucharmap-3.2.1-2.fc16,gv-3.7.2-2.fc16,gvfs-1.10.1-2.fc16,hplip-3.11.10-7.fc16,ibus-1.4.0-6.fc16,iok-1.3.13-2.fc16,irqbalance-1.0-4.fc16,kdebase-4.7.2-3.fc16,kdebase-workspace-4.7.2-9.fc16,kde-plasma-networkmanagement-0.9-0.64.beta2.nm09.fc16,kernel-3.1.0-5.fc16,konversation-1.3.1-6.fc16,krb5-1.9.1-18.fc16,krb5-auth-dialog-3.2.1-2.fc16,libdrm-2.4.26-3.fc16,libsoup-2.36.1-2.fc16,libwnck-2.30.7-2.fc16,libwnck3-3.2.1-2.fc16,lorax-16.4.7-2.fc16,make-3.82-7.fc16,mc-4.8.0-2.fc16,mdadm-3.2.2-13.fc16,midori-0.4.1-3.fc16,mingw32-qt-4.8.0-0.2.rc1.fc16,mingw32-qt-qmake-4.8.0-0.2.rc1.fc16,mm-1.4.2-8.fc16,mon-1.2.0-8.fc16,monit-5.2.5-2.fc16,mousetweaks-3.2.1-2.fc16,mutt-1.5.21-7.fc16,mutter-3.2.1-2.fc16,nautilus-3.2.1-2.fc16,nc-1.101-3.fc16,NetworkManager-0.9.1.90-5.git20110927.fc16,notification-daemon-0.7.3-2.fc16,orage-4.8.2-3.fc16,orc-0.4.16-4.fc16,orca-3.2.1-2.fc16,oxygen-gtk-1.1.4-2.fc16,pan-0.135-2.fc16,pl-5.10.2-7.fc16.1,polkit-0.102-3.fc16,polkit-gnome-0.104-2.fc16,ppl-0.11.2-3.fc16,python-2.7.2-5.2.fc16,python-py-1.4.5-4.fc16,python-pyside-1.0.8-2.fc16,q-7.11-11.fc16,qpid-cpp-0.12-4.fc16.2,qt-4.8.0-0.18.rc1.fc16,quagga-0.99.20-3.fc16,ristretto-0.2.1-2.fc16,rmap-1.2-9.fc16,seahorse-3.2.1-2.fc16,shiboken-1.0.9-2.fc16,sks-1.1.1-7.fc16,sl-3.03-11.fc16,soprano-2.7.2-2.fc16,sssd-1.6.2-5.fc16,st-0.1.1-3.fc16,strigi-0.7.6-4.fc16,sushi-0.2.1-2.fc16,tin-1.8.3-9.fc16,tk-8.5.10-2.fc16,tor-0.2.2.33-1601.fc16,totem-3.2.1-2.fc16,trac-0.12.2-6.fc16,transmission-2.42-2.fc16,tre-0.8.0-4.fc16,udisks-1.0.4-3.fc16,util-linux-2.20.1-2.fc16,vinagre-3.2.1-2.fc16,vino-3.2.1-2.fc16,vte3-0.30.1-2.fc16,wireshark-1.6.2-4.fc16,xfce4-panel-4.8.6-3.fc16,yelp-3.2.1-2.fc16?_csrf_token=30526f1f661558538228cb7b866b276a4960a381

Note how it includes a transmission rebuild against the fixed glibc. Perhaps that's all that was needed? A rebuild after the original « assert hp!=hp2 » issue had been fixed?

...or my ISP just decided to start doing a better job.

I'll be trying again in the next few days to see if I can reproduce it, but I'm pretty optimistic.
Comment 7 Rahul Sundaram 2011-10-28 23:27:38 EDT
Yeah.  Just a rebuild against the new glibc should have fixed this bug.  Thanks for confirming.  I am closing it for now.  Reopen if you see it again.  Note that Transmission can still crash due to other (pending or unknown) bugs.   If you see a crash again,  look at the trace and file a new one if it is not the same issue.
Comment 8 Mathieu Bridon 2011-11-05 11:35:07 EDT
Unfortunately, I'm still getting the crash.

ABRT is not triggered anymore for some reason, but running transmission-gtk in a terminal gives me:
    $ transmission-gtk 
    Gtk-Message: Failed to load module "pk-gtk-module"
    transmission-gtk: res_query.c:258: __libc_res_nquery: Assertion `hp != hp2' failed.
    Aborted (core dumped)

Reopening. :(
Comment 9 kotofos 2012-04-04 14:06:29 EDT
long work without errors
add torrent
torrent downloading and uploading from usb drive
suspend
disconnect usb drive
wake up
web browsing ~10 min
crash message from ABRT


backtrace_rating: 4
Package: transmission-gtk-2.42-2.fc16
OS Release: Fedora release 16 (Verne)
Comment 10 kotofos 2012-04-04 14:06:40 EDT
Created attachment 575188 [details]
File: backtrace